> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# Create external form fill session

POST https://demo.rooms.docusign.com/restapi/v2/accounts/{accountId}/external_form_fill_sessions
Content-Type: application/json-patch+json

Returns a URL for a new external form fill session
based on the `roomId` and `formIds` that you specify
in the request body. You can specify up to 10 form IDs.

**Note:** Earlier versions of this endpoint used a single `formId`
property in the request body. This use is deprecated.

Reference: https://developers.docusign.com/docs/rooms-api/reference/forms/externalformfillsessions/createexternalformfillsession

## Authentication

- `Authorization` header (required) — JWT Authorization header using the Bearer scheme. Example: "Authorization: Bearer \{token}"

## Servers

- `https://demo.rooms.docusign.com/restapi` (Demo, default)
- `https://rooms.docusign.com/restapi` (Production)

## Request

### Path parameters

- `accountId` (string, required) — The globally unique identifier (GUID) for the account.

### Body (application/json-patch+json)

This endpoint expects an ExternalFormFillSessionForCreate.

- `roomId` (integer, required) — (Required) The ID of the room.
- `formId` (string, optional) — Deprecated. Use `formIds` instead. The ID of the form.
- `formIds` (list of string, optional) — An array of up to 10 form IDs. Form IDs are GUIDs. This property is required.
- `xFrameAllowedUrl` (string, optional) — (Optional) This property specifies the origin on which the page is allowed to display in a frame.

## Response

### 201

Created

- `url` (string, optional) — The URL for the new form fill session.

## Errors

### 400 Bad Request Error

Bad request. See ErrorCode and Message for details

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

### 401 Unauthorized Error

Not authorized to make this request.

- `errorCode` (string, optional) — The code associated with the error condition.
- `message` (string, optional) — A brief message describing the error condition.
- `referenceId` (string, optional)

## Examples

**Request**

```json
{
  "roomId": 1
}
```

**Response**

```json
{
  "url": "string"
}
```